# Changelog

All notable changes to this project will be documented in this file.

## 1.9.0

- Add the option to override the description using the `description` attribute of the directive
- Add the option to retrieve the arguments by hooking argparse, in cases where `func` consumes the arguments
  and does not return them

## 1.8.2

- Don't raise label clashing warnings for options which only differ between upper and lower case

## 1.8.1

- Fix reference clashing for options which only differ between upper and lower case
- Do not render default values for `store_true` and `store_false` actions

## 1.8.0

- Support Python 3.10

## 1.7.0

- Support for adding custom subsection group title prefix (`group_title_prefix` and `group_sub_title_prefix` directive arguments)

## 1.6.0 (2021-04-15)

- Support for using the `ref` sphinx role to refer to all anchor-able objects generated by the tool
- Flags now have their reference title set (for the HTML builder this is shown when hover over the reference)
- Anchors generated no longer collapse multiple subsequent `-` characters (to avoid clash when there's a flag and a
  positional argument with the same name)
- Added a sphinx flag `sphinx_argparse_cli_prefix_document` (by default `False`) to avoid reference clashes when
  multiple documents generate the same reference labels
- The root `prog` name now is prefixed for the root level optional/positional arguments' header (to avoid multiple
  anchors with the same id when multiple commands are documented in the same document)

## 1.5.1 (2021-04-15)

- For sub-commands use the parser description first as description and only then fallback to the help message

## 1.5.0 (2021-02-13)

- Display the metavar (fallback to dest) if the action has more than one argument (this is inline with how usage is
  displayed).

## 1.4.0 (2021-02-13)

- Command line arguments are now bold to highlight them even further from the help text

## 1.3.0 (2021-02-13)

- Add support for changing the usage width via the `usage_width` option on the directive
- Mark document as always needs update (as the underlying content is coming from outside the sphinx documents)
- Help messages is now interpreted as reStructuredText
- Matching curly braces, single and double quotes in help text will be marked as string literals
- Help messages containing the `default(s)` word do not show the default value (as often this indicates the default is
  already documented in the help text)

## 1.2.0 (2021-02-05)

- Add support for changing (removing) the title via the `title` attribute of the directive.

## 1.1.0 (2021-02-05)

- Add support for setting the `prog` of the parser via the a `prog` attribute of the directive.

## 1.0.0 (2021-02-05)

- First version.
